Bug 63278 - Kernel gets to "Partition Check" Portion of boot and hangs
Kernel gets to "Partition Check" Portion of boot and hangs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
skipjack-beta2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-11 18:28 EDT by Shawn M. Jones
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-12 02:37:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shawn M. Jones 2002-04-11 18:28:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461; 
Q312461; .NET CLR 1.0.2914)

Description of problem:
Using a Celeron 500 MHz, with 384 MB of RAM, and a Quantum Fireball 30 GB Ultra 
ATA/66 Hard Drive running on HPT 366 controllers, I installed Skipjack Beta 2 
with the options of Workstation, KDE, Gnome, Development Tools, and Fun and 
Games (can't remember fourth option's exact wording, sorry).

Grub allows me to select 2.4.18-0.13 as my kernel and proceeds to load it.

During the loading phase, the kernel hangs at the "Partition Check" section and 
does nothing else but list the hard drive as hde.  It never gets to the 
partition listing.

I have tried booting the system with the kernel.org 2.4.18 kernel with no 
problems, so the kernel is capable of booting my hardware.  Evidently there 
must be something strange about the 2.4.18-0.13 i686 configuration.

I even tried updating the rpm from RedHat's web site just in case the ISO image 
I downloaded was corrupted, and got the same result from the RedHat kernel.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Install Skipjack from FTP to a server in the aforementioned configuration
2.  Boot it to the 2.4.18-0.13 kernel that comes with Skipjack.

	

Actual Results:  During the loading phase, the kernel hangs at the "Partition 
Check" section and does nothing else but list the hard drive as hde.  It never 
gets to the partition listing.

Expected Results:  The machine should have booted fully and brought me to a 
login prompt.

Additional info:
Comment 1 Arjan van de Ven 2002-04-12 02:37:14 EDT
Ok can you try the following:
1) boot with specifying "ide=nodma" on the lilo/grub kernel commandline
  (in grub type "e" and then edit the 2nd line to add this)

2) download the 2.4.18-0.19 (or .20 or .21) kernel from rawhide and install 
   that. That version is supposed to have the hpt366 bug fixed (well it has for me)
Comment 2 Shawn M. Jones 2002-09-05 14:15:35 EDT
Thanks guys.  The problem appears to have been fixed by 7.3.

Note You need to log in before you can comment on or make changes to this bug.